{% extends 'component/list_component.html.twig' %}

{% block tableHeader %}
    {% if showActionButton == true %}
        <th class="mdc-data-table__header-cell" role="columnheader" scope="col"></th>
    {% endif %}

    {% include 'component/list_component/columnheader_component.html.twig' with {
        'sortable': sortable,
        'label': 'Name',
        'columnId': 'name',
        'ariaLabelId': 'name',
        'ariaLabelName': 'Name'
    } only %}

    {% include 'component/list_component/columnheader_component.html.twig' with {
        'sortable': sortable,
        'label': 'Nutzername',
        'columnId': 'nutzername',
        'ariaLabelId': 'username',
        'ariaLabelName': 'Username'
    } only %}

    {% include 'component/list_component/columnheader_component.html.twig' with {
        'sortable': sortable,
        'label': 'E-Mail',
        'columnId': 'email',
        'ariaLabelId': 'email',
        'ariaLabelName': 'email'
    } only %}

    {% include 'component/list_component/columnheader_component.html.twig' with {
        'sortable': false,
        'label': 'Freigeschaltet'
    } only %}
{% endblock %}

{% block tableContent %}
    {% if showActionButton == true %}
        <td class="mdc-data-table__cell">
            {% include 'component/view_or_edit_button_component.html.twig' with {
                'path': path('external_user_account_user_edit', {'accountUserId': listItem.getId()}),
                'item': listItem
            } only %}
        </td>
    {% endif %}
    <td class="mdc-data-table__cell">{{ listItem.getFullName() }}</td>
    <td class="mdc-data-table__cell">{{ listItem.getUsername() }}</td>
    <td class="mdc-data-table__cell">{{ listItem.getEmail() }}</td>
    <td class="mdc-data-table__cell">
        {% if listItem.isEnabled() %}
            <i class="material-icons mdc-button__icon" aria-hidden="true">check</i>
        {% else %}
            <i class="material-icons mdc-button__icon" aria-hidden="true">clear</i>
        {% endif %}
    </td>
{% endblock %}
